<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Form</title>
</head>
<body>
	

	<h1>HTML Tables</h1>
<table border="1">

	<thead>
		<tr>
			<th colspan="2">Courses</th>
		</tr>
	</thead>

	<tbody>
		<tr>
			<td>FE</td>
			<td>Front-End</td>
		</tr>

		<tr>
			<td>BE</td>
			<td>Back-End</td>
		</tr>

		<tr>
			<td>FS</td>
			<td>Full-Stack</td>
		</tr>
	</tbody>


</table>

<hr>
<h1>HTML Forms</h1>

<h2>Contact Page</h2>

<form method ="" action="">
	
	<!--Text Box // value attribute insert the "parker" regardless  of your textbox content-->
	<label for="lname">Last Name:</label>
	<input type="text" name="lname" id="lname"  placeholder="Enter Lastname"> <br>
	
	<label for="fname">First Name:</label>
	<input type="text" name="fname" id="fname" placeholder="Enter FirstName" required > <br>

<!-- put required, placeholder, value -->
	<!-- Other input types -->
	Color:<input type="color" name="color"><br>
	Email:<input type="email" name="email"><br>
	Age: <input type="number" name="" min="18" max="30"><br>
	Upload:<br>
	<input type ="file" name=""><br>



	<!-- Radio Button the name attributes indicate that the choices is a set -->
	
	<input type="radio" name="gender" id="male">
	<label for="male" >Male</label>
	<input type="radio" name="gender" id="female">
	<label for="female" >Female</label> <br>

	<input type="radio" name="gender" id="male" value="M">
	<label for="male" >Male</label>
	<input type="radio" name="gender" id="female" value ="F">
	<label for="female" >Female</label> <br>

<!-- Checkbox -->
	<h3>Select All Applicable</h3>
	
	<input type="checkbox" id="vehicle1" name="vehicle1" value="Bike" >
	<label for ="vehicle1"> I have a bike </label><br>
	
	<input type="checkbox" id="vehicle2" name="vehicle2" value="Car">
	<label for ="vehicle2"> I have a car </label><br>
	
	<input type="checkbox" id="vehicle3" name="vehicle3" value="Boat">
	<label for ="vehicle3"> I have a boat </label><br>

<!-- Dropdown menu -->
	<label for="card">Choose Card</label>
	<select id="card" name="card">
		<option value="visa">visa</option>
		<option value="mc">mastercard</option>
		<option value="citi">citi</option>
	</select>

<!-- if you choose one option in the dropdown card=citi -->
	<br>
	<label for="feedback"> addfeedback</label>
	<textarea id="feedback" name="fb"></textarea>

	<hr>
	<button type="submit">Submit</button>
	<button type="reset">Reset</button>

</form>	
</body>
</html>